Skip to main content
POST
/
api
/
v2
/
run
Run a capability or endpoint
curl --request POST \
  --url https://app.dumplingai.com/api/v2/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "capability",
  "id": "<string>",
  "input": {},
  "provider": "<string>",
  "options": {
    "include_native": true
  }
}
'
{
  "success": false,
  "requestId": "<string>",
  "error": "<string>",
  "code": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required
Available options:
capability,
endpoint
id
string
required

Capability id like google_search or endpoint id like firecrawl.scrape.

input
object
required
provider
string

Optional provider override for capability runs only.

options
object

Response

Capability result